perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Perrin Harkins <per...@elem.com>
Subject Re: BSD::Resource needed on BSD systems
Date Wed, 05 Jan 2005 15:39:27 GMT
On Wed, 2005-01-05 at 09:56 -0500, Stas Bekman wrote:
> Ay, for some reason I thought that this was tested for. Pleaes try this patch:
> 
> Index: t/conf/post_config_startup.pl
> ===================================================================
> --- t/conf/post_config_startup.pl       (revision 124181)
> +++ t/conf/post_config_startup.pl       (working copy)
> @@ -69,7 +69,8 @@
>       eval { require Apache::SizeLimit };
>       if ($@) {
>           # unsupported platform
> -        die $@ unless $@ =~ /Apache::SizeLimit not implemented on/;
> +        die $@ unless $@ =~ /Apache::SizeLimit not implemented on/
> +            or $@ =~ /you must install BSD::Resource/;
>       }
>   }

I can standardize these messages if it will help.

- Perrin


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message